(ns propeller.tools.loading
  "Functions to help facilitate loading data"
  (:require
   [clojure.core :refer [with-open]]
   [clojure.java.io :as io]
   [clojure.data.csv :as csv]))

(defn load-data-csv
  [path]
  (with-open [reader (io/reader path)]
    (->> (csv/read-csv reader)
         (doall))))